## ldapscripts 1.7.1

=== Makefile ===
#  Makefile for the lapscripts

#  Copyright (C) 2007 Ganal LAPLANCHE
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
#  USA.

# Configuration / variables section
PREFIX = /usr/local

# Where to install scripts
BINDIR = $(PREFIX)/bin
# Where to install man pages
MANDIR = $(PREFIX)/man
# Where to install configuration files
ETCDIR = $(PREFIX)/etc/ldapscripts
# Where to install the runtime file
RUNDIR = $(ETCDIR)

### Do not edit ###
SHELL=/bin/sh
NAME = ldapscripts
#SUFFIX = -devel
VERSION = 1.7.1

RUNFILE = runtime
ETCFILE = ldapscripts.conf
PWDFILE = ldapscripts.passwd
BINFILES =	_ldapdeletemachine _ldapmodifygroup _ldappasswd _lsldap ldapadduser \
			 ldapdeleteuser ldapsetprimarygroup _ldapfinger _ldapmodifymachine \
			_ldaprenamegroup ldapaddgroup ldapaddusertogroup ldapdeleteuserfromgroup \
			_ldapinit _ldapmodifyuser _ldaprenamemachine ldapaddmachine ldapdeletegroup \
			ldaprenameuser
MAN1FILES =	_ldapdeletemachine.1 _ldapmodifymachine.1 _ldaprenamemachine.1 ldapadduser.1 \
			ldapdeleteuserfromgroup.1 _ldapfinger.1 _ldapmodifyuser.1 _lsldap.1 \
			ldapaddusertogroup.1 ldaprenameuser.1 _ldapinit.1 _ldappasswd.1 ldapaddgroup.1 \
			ldapdeletegroup.1 ldapsetprimarygroup.1 _ldapmodifygroup.1 _ldaprenamegroup.1 \
			ldapaddmachine.1 ldapdeleteuser.1
MAN5FILES = ldapscripts.5
TMPLFILES = ldapaddgroup.template.sample ldapaddmachine.template.sample ldapadduser.template.sample

# Default target
all:	help

# Help target
help:
	@echo "Usage: make [VARIABLE=<value>] <target>"
	@echo "Valid variables :"
	@echo "  PREFIX : main target directory for installation (default = /usr/local)"
	@echo "  BINDIR : where to install scripts (default = PREFIX/bin)"
	@echo "  MANDIR : where to install man pages (default = PREFIX/man)"
	@echo "  ETCDIR : where to install the configuration file (default = PREFIX/etc/ldapscripts)"
	@echo "  RUNDIR : where to install the runtime file (default = PREFIX)"
	@echo "Valid targets :"
	@echo "  configure    : prepare sources for installation"
	@echo "  install      : install everything"
	@echo "  uninstall    : uninstall everything (except the main configuration file)"
	@echo "  clean        : clean up sources"
	@echo "  package      : create a package in /tmp"
	@echo "  help         : this help"
	@echo "Additional targets :"
	@echo "  installbin   : install main scripts"
	@echo "  installman   : install man pages"
	@echo "  installetc   : install configuration, runtime and template files"
	@echo "  uninstallbin : uninstall main scripts"
	@echo "  uninstallman : uninstall man pages"
	@echo "  uninstalletc : uninstall configuration, runtime and template files"
	@echo "  deinstall    : synonym for uninstall"
	@echo "  distclean    : synonym for clean"
	@echo "  mrproper     : synonym for clean"

# Configure target
configure:
	@echo -n 'Configuring scripts... '
	@sed 's|^BINDPWDFILE=.*|BINDPWDFILE=\"$(ETCDIR)/$(PWDFILE)\"|g' 'etc/$(ETCFILE)' > 'etc/$(ETCFILE).patched'
	@sed 's|^_CONFIGFILE=.*|_CONFIGFILE=\"$(ETCDIR)/$(ETCFILE)\"|g' 'etc/$(RUNFILE)' > 'etc/$(RUNFILE).patched'
	@for i in $(BINFILES) ; do \
		sed 's|^_RUNTIMEFILE=.*|_RUNTIMEFILE=\"$(RUNDIR)/$(RUNFILE)\"|g' "bin/$$i" > "bin/$$i.patched" ; \
	done
	@echo 'ok. '

# Install targets
install:	installbin installman installetc
installbin:	configure
	@echo -n 'Installing scripts into $(BINDIR)... '
	@mkdir -p '$(BINDIR)' 2>/dev/null
	@for i in $(BINFILES) ; do \
		install -m 750 "bin/$$i.patched" "$(BINDIR)/$$i" ; \
	done
	@echo 'ok. '

installman:
	@echo -n 'Installing man files into $(MANDIR)... '
	@mkdir -p '$(MANDIR)/man1' 2>/dev/null
	@for i in $(MAN1FILES) ; do \
		cat "man/man1/$$i" | gzip - > "$(MANDIR)/man1/`basename $$i`.gz" ; \
	done
	@mkdir -p '$(MANDIR)/man5' 2>/dev/null
	@for i in $(MAN5FILES) ; do \
		cat "man/man5/$$i" | gzip - > "$(MANDIR)/man5/`basename $$i`.gz" ; \
	done
	@echo 'ok. '

installetc:
	@echo -n 'Installing configuration files into $(ETCDIR)... '
	@mkdir -p '$(ETCDIR)' 2>/dev/null
	@install -m 640 -b 'etc/$(ETCFILE).patched' '$(ETCDIR)/$(ETCFILE)'
	@install -m 440 -b 'etc/$(PWDFILE)' '$(ETCDIR)'
	@for i in $(TMPLFILES) ; do \
		install -m 440 "etc/$$i" '$(ETCDIR)' ; \
	done
	@mkdir -p '$(RUNDIR)' 2>/dev/null
	@install -m 440 'etc/$(RUNFILE).patched' '$(RUNDIR)/$(RUNFILE)'
	@echo 'ok. '

# Uninstall targets
deinstall: uninstall
uninstall:	uninstallbin uninstallman uninstalletc
uninstallbin:
	@echo -n 'Uninstalling scripts from $(BINDIR)... '
	@for i in $(BINFILES) ; do \
		rm -f "$(BINDIR)/$$i" ; \
	done
	@rmdir '$(BINDIR)' 2>/dev/null || true
	@echo 'ok. '

uninstallman:
	@echo -n 'Uninstalling man files from $(MANDIR)... '
	@for i in $(MAN1FILES) ; do \
		rm -f "$(MANDIR)/man1/`basename $$i`.gz" ; \
	done
	@rmdir '$(MANDIR)/man1' 2>/dev/null || true
	@for i in $(MAN5FILES) ; do \
		rm -f "$(MANDIR)/man5/`basename $$i`.gz" ; \
	done
	@rmdir '$(MANDIR)/man5' 2>/dev/null || true
	@echo 'ok. '

uninstalletc:
	@echo '(Leaving $(ETCDIR)/$(ETCFILE) as it is the main configuration file)'
	@echo -n 'Uninstalling other configuration files from $(ETCDIR)... '
	@rm -f '$(ETCDIR)/$(PWDFILE)'
	@for i in $(TMPLFILES) ; do \
		rm -f "$(ETCDIR)/$$i" ; \
	done
	@rm -f '$(RUNDIR)/$(RUNFILE)'
	@rmdir '$(RUNDIR)' 2>/dev/null || true
	@echo 'ok. '

# Clean targets
clean:
	@echo -n 'Cleaning sources... '
	@rm -f 'etc/$(ETCFILE).patched'
	@rm -f 'etc/$(RUNFILE).patched'
	@for i in $(BINFILES) ; do \
		rm -f "bin/$$i.patched" ; \
	done
	@echo 'ok. '
distclean:	clean
mrproper:	clean

# Package target
package:	clean
	@echo -n 'Creating package /tmp/$(NAME)-$(VERSION)$(SUFFIX).tgz... '
	@(cd .. && tar czf /tmp/$(NAME)-$(VERSION)$(SUFFIX).tgz $(NAME)-$(VERSION))
	@echo 'ok. '

## ldapscripts 1.8.0

=== Makefile ===
#  Makefile for the lapscripts

#  Copyright (C) 2007 Ganal LAPLANCHE
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
#  USA.

# Configuration / variables section
PREFIX = /usr/local

# Identity
SHELL=/bin/sh
NAME = ldapscripts
#SUFFIX = -devel
VERSION = 1.8.0

# Default installation paths
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/man
ETCDIR = $(PREFIX)/etc/$(NAME)
LIBDIR = $(PREFIX)/lib/$(NAME)

# Files to install
RUNFILE = runtime
ETCFILE = ldapscripts.conf
PWDFILE = ldapscripts.passwd
SBINFILES =	ldapdeletemachine ldapmodifygroup ldapsetpasswd lsldap ldapadduser \
			 ldapdeleteuser ldapsetprimarygroup ldapfinger ldapid ldapmodifymachine \
			ldaprenamegroup ldapaddgroup ldapaddusertogroup ldapdeleteuserfromgroup \
			ldapinit ldapmodifyuser ldaprenamemachine ldapaddmachine ldapdeletegroup \
			ldaprenameuser
MAN1FILES =	ldapdeletemachine.1 ldapmodifymachine.1 ldaprenamemachine.1 ldapadduser.1 \
			ldapdeleteuserfromgroup.1 ldapfinger.1 ldapid.1 ldapmodifyuser.1 lsldap.1 \
			ldapaddusertogroup.1 ldaprenameuser.1 ldapinit.1 ldapsetpasswd.1 ldapaddgroup.1 \
			ldapdeletegroup.1 ldapsetprimarygroup.1 ldapmodifygroup.1 ldaprenamegroup.1 \
			ldapaddmachine.1 ldapdeleteuser.1
MAN5FILES = ldapscripts.5
TMPLFILES = ldapaddgroup.template.sample ldapaddmachine.template.sample \
			ldapadduser.template.sample

# Default target
all:	help

# Help target
help:
	@echo "Usage: make [VARIABLE=<value>] <target>"
	@echo "Valid variables :"
	@echo "  PREFIX  : main target directory for installation (default = /usr/local)"
	@echo "  SBINDIR : where to install scripts (default = PREFIX/sbin)"
	@echo "  MANDIR  : where to install man pages (default = PREFIX/man)"
	@echo "  ETCDIR  : where to install the configuration file (default = PREFIX/etc/ldapscripts)"
	@echo "  LIBDIR  : where to install the runtime file (default = PREFIX/lib/ldapscripts)"
	@echo "Valid targets :"
	@echo "  configure       : prepare sources for installation"
	@echo "  install         : install everything"
	@echo "  uninstall       : uninstall everything"
	@echo "  clean           : clean up sources"
	@echo "  package         : create a source tarball in /tmp"
	@echo "  help            : this help"
	@echo "Additional targets :"
	@echo "  [un]installsbin : [un]install main scripts"
	@echo "  [un]installman  : [un]install man pages"
	@echo "  [un]installetc  : [un]install configuration and template files"
	@echo "  [un]installlib  : [un]install libraries [runtime file]"
	@echo "  deinstall       : synonym for uninstall"
	@echo "  distclean       : synonym for clean"
	@echo "  mrproper        : synonym for clean"

# Configure target
configure:
	@echo -n 'Configuring scripts... '
	@sed 's|^BINDPWDFILE=.*|BINDPWDFILE=\"$(ETCDIR)/$(PWDFILE)\"|g' 'etc/$(ETCFILE)' > 'etc/$(ETCFILE).patched'
	@sed 's|^_CONFIGFILE=.*|_CONFIGFILE=\"$(ETCDIR)/$(ETCFILE)\"|g' 'lib/$(RUNFILE)' > 'lib/$(RUNFILE).patched'
	@for i in $(SBINFILES) ; do \
		sed 's|^_RUNTIMEFILE=.*|_RUNTIMEFILE=\"$(LIBDIR)/$(RUNFILE)\"|g' "sbin/$$i" > "sbin/$$i.patched" ; \
	done
	@echo 'ok.'

# Install targets
install:	installsbin installman installetc installlib
installsbin:	configure
	@echo -n 'Installing scripts into $(SBINDIR)... '
	@install -d -m 755 '$(SBINDIR)' 2>/dev/null
	@for i in $(SBINFILES) ; do \
		install -m 750 "sbin/$$i.patched" "$(SBINDIR)/$$i" ; \
	done
	@echo 'ok.'

installman:
	@echo -n 'Installing man files into $(MANDIR)... '
	@install -d -m 755 '$(MANDIR)/man1' 2>/dev/null
	@for i in $(MAN1FILES) ; do \
		cat "man/man1/$$i" | gzip - > "$(MANDIR)/man1/`basename $$i`.gz" ; \
	done
	@install -d -m 755 '$(MANDIR)/man5' 2>/dev/null
	@for i in $(MAN5FILES) ; do \
		cat "man/man5/$$i" | gzip - > "$(MANDIR)/man5/`basename $$i`.gz" ; \
	done
	@echo 'ok.'

installetc:	configure
	@echo -n 'Installing configuration files into $(ETCDIR)... '
	@install -d -m 755 '$(ETCDIR)' 2>/dev/null
	@install -m 440 'etc/$(ETCFILE).patched' '$(ETCDIR)/$(ETCFILE).sample'
	@if [ ! -f '$(ETCDIR)/$(ETCFILE)' ]; then \
		install -m 640 '$(ETCDIR)/$(ETCFILE).sample' '$(ETCDIR)/$(ETCFILE)'; \
	fi
	@install -m 440 -b 'etc/$(PWDFILE)' '$(ETCDIR)/$(PWDFILE).sample'
	@if [ ! -f '$(ETCDIR)/$(PWDFILE)' ]; then \
		install -m 640 '$(ETCDIR)/$(PWDFILE).sample' '$(ETCDIR)/$(PWDFILE)'; \
	fi
	@for i in $(TMPLFILES) ; do \
		install -m 440 "etc/$$i" '$(ETCDIR)' ; \
	done
	@echo 'ok.'

installlib:	configure
	@echo -n 'Installing library files into $(LIBDIR)... '
	@install -d -m 755 '$(LIBDIR)' 2>/dev/null
	@install -m 440 'lib/$(RUNFILE).patched' '$(LIBDIR)/$(RUNFILE)'
	@echo 'ok.'

# Uninstall targets
deinstall: uninstall
uninstall:	uninstallsbin uninstallman uninstalletc uninstalllib
uninstallsbin:
	@echo -n 'Uninstalling scripts from $(SBINDIR)... '
	@for i in $(SBINFILES) ; do \
		rm -f "$(SBINDIR)/$$i" ; \
	done
	@rmdir '$(SBINDIR)' 2>/dev/null || true
	@echo 'ok.'

uninstallman:
	@echo -n 'Uninstalling man files from $(MANDIR)... '
	@for i in $(MAN1FILES) ; do \
		rm -f "$(MANDIR)/man1/`basename $$i`.gz" ; \
	done
	@rmdir '$(MANDIR)/man1' 2>/dev/null || true
	@for i in $(MAN5FILES) ; do \
		rm -f "$(MANDIR)/man5/`basename $$i`.gz" ; \
	done
	@rmdir '$(MANDIR)/man5' 2>/dev/null || true
	@rmdir '$(MANDIR)' 2>/dev/null || true
	@echo 'ok.'

uninstalletc:
	@echo -n 'Uninstalling configuration files from $(ETCDIR)... '
	@if cmp -s '$(ETCDIR)/$(ETCFILE)' '$(ETCDIR)/$(ETCFILE).sample'; then \
		rm -f '$(ETCDIR)/$(ETCFILE)'; \
	fi
	@rm -f '$(ETCDIR)/$(ETCFILE).sample'
	@if cmp -s '$(ETCDIR)/$(PWDFILE)' '$(ETCDIR)/$(PWDFILE).sample'; then \
		rm -f '$(ETCDIR)/$(PWDFILE)'; \
	fi
	@rm -f '$(ETCDIR)/$(PWDFILE).sample'
	@for i in $(TMPLFILES) ; do \
		rm -f "$(ETCDIR)/$$i" ; \
	done
	@rmdir '$(ETCDIR)' 2>/dev/null || true
	@echo 'ok.'

uninstalllib:
	@echo -n 'Uninstalling library files from $(LIBDIR)... '
	@rm -f '$(LIBDIR)/$(RUNFILE)'
	@rmdir '$(LIBDIR)' 2>/dev/null || true
	@echo 'ok.'

# Clean targets
clean:
	@echo -n 'Cleaning sources... '
	@rm -f 'etc/$(ETCFILE).patched'
	@rm -f 'lib/$(RUNFILE).patched'
	@for i in $(SBINFILES) ; do \
		rm -f "sbin/$$i.patched" ; \
	done
	@echo 'ok.'
distclean:	clean
mrproper:	clean

# Source tarball target
package:	clean
	@echo -n 'Creating source tarball /tmp/$(NAME)-$(VERSION)$(SUFFIX).tgz... '
	@(cd .. && tar czf /tmp/$(NAME)-$(VERSION)$(SUFFIX).tgz $(NAME)-$(VERSION))
	@echo 'ok.'

## ldapscripts 1.9.0

=== Makefile ===
--- 
+++ 
@@ -18,13 +18,14 @@
 #  USA.
 
 # Configuration / variables section
+DESTDIR = 
 PREFIX = /usr/local
 
 # Identity
 SHELL=/bin/sh
 NAME = ldapscripts
 #SUFFIX = -devel
-VERSION = 1.8.0
+VERSION = 1.9.0
 
 # Default installation paths
 SBINDIR = $(PREFIX)/sbin
@@ -37,12 +38,12 @@
 ETCFILE = ldapscripts.conf
 PWDFILE = ldapscripts.passwd
 SBINFILES =	ldapdeletemachine ldapmodifygroup ldapsetpasswd lsldap ldapadduser \
-			 ldapdeleteuser ldapsetprimarygroup ldapfinger ldapid ldapmodifymachine \
+			ldapdeleteuser ldapsetprimarygroup ldapfinger ldapid ldapgid ldapmodifymachine \
 			ldaprenamegroup ldapaddgroup ldapaddusertogroup ldapdeleteuserfromgroup \
 			ldapinit ldapmodifyuser ldaprenamemachine ldapaddmachine ldapdeletegroup \
 			ldaprenameuser
 MAN1FILES =	ldapdeletemachine.1 ldapmodifymachine.1 ldaprenamemachine.1 ldapadduser.1 \
-			ldapdeleteuserfromgroup.1 ldapfinger.1 ldapid.1 ldapmodifyuser.1 lsldap.1 \
+			ldapdeleteuserfromgroup.1 ldapfinger.1 ldapid.1 ldapgid.1 ldapmodifyuser.1 lsldap.1 \
 			ldapaddusertogroup.1 ldaprenameuser.1 ldapinit.1 ldapsetpasswd.1 ldapaddgroup.1 \
 			ldapdeletegroup.1 ldapsetprimarygroup.1 ldapmodifygroup.1 ldaprenamegroup.1 \
 			ldapaddmachine.1 ldapdeleteuser.1
@@ -57,7 +58,8 @@
 help:
 	@echo "Usage: make [VARIABLE=<value>] <target>"
 	@echo "Valid variables :"
-	@echo "  PREFIX  : main target directory for installation (default = /usr/local)"
+	@echo "  DESTDIR : root target directory to install to (default = *empty*)"
+	@echo "  PREFIX  : main target directory within DESTDIR (default = /usr/local)"
 	@echo "  SBINDIR : where to install scripts (default = PREFIX/sbin)"
 	@echo "  MANDIR  : where to install man pages (default = PREFIX/man)"
 	@echo "  ETCDIR  : where to install the configuration file (default = PREFIX/etc/ldapscripts)"
@@ -91,91 +93,91 @@
 # Install targets
 install:	installsbin installman installetc installlib
 installsbin:	configure
-	@echo -n 'Installing scripts into $(SBINDIR)... '
-	@install -d -m 755 '$(SBINDIR)' 2>/dev/null
-	@for i in $(SBINFILES) ; do \
-		install -m 750 "sbin/$$i.patched" "$(SBINDIR)/$$i" ; \
+	@echo -n 'Installing scripts into $(DESTDIR)$(SBINDIR)... '
+	@install -d -m 755 '$(DESTDIR)$(SBINDIR)' 2>/dev/null
+	@for i in $(SBINFILES) ; do \
+		install -m 750 "sbin/$$i.patched" "$(DESTDIR)$(SBINDIR)/$$i" ; \
 	done
 	@echo 'ok.'
 
 installman:
-	@echo -n 'Installing man files into $(MANDIR)... '
-	@install -d -m 755 '$(MANDIR)/man1' 2>/dev/null
+	@echo -n 'Installing man files into $(DESTDIR)$(MANDIR)... '
+	@install -d -m 755 '$(DESTDIR)$(MANDIR)/man1' 2>/dev/null
 	@for i in $(MAN1FILES) ; do \
-		cat "man/man1/$$i" | gzip - > "$(MANDIR)/man1/`basename $$i`.gz" ; \
-	done
-	@install -d -m 755 '$(MANDIR)/man5' 2>/dev/null
+		cat "man/man1/$$i" | gzip - > "$(DESTDIR)$(MANDIR)/man1/`basename $$i`.gz" ; \
+	done
+	@install -d -m 755 '$(DESTDIR)$(MANDIR)/man5' 2>/dev/null
 	@for i in $(MAN5FILES) ; do \
-		cat "man/man5/$$i" | gzip - > "$(MANDIR)/man5/`basename $$i`.gz" ; \
+		cat "man/man5/$$i" | gzip - > "$(DESTDIR)$(MANDIR)/man5/`basename $$i`.gz" ; \
 	done
 	@echo 'ok.'
 
 installetc:	configure
-	@echo -n 'Installing configuration files into $(ETCDIR)... '
-	@install -d -m 755 '$(ETCDIR)' 2>/dev/null
-	@install -m 440 'etc/$(ETCFILE).patched' '$(ETCDIR)/$(ETCFILE).sample'
-	@if [ ! -f '$(ETCDIR)/$(ETCFILE)' ]; then \
-		install -m 640 '$(ETCDIR)/$(ETCFILE).sample' '$(ETCDIR)/$(ETCFILE)'; \
-	fi
-	@install -m 440 -b 'etc/$(PWDFILE)' '$(ETCDIR)/$(PWDFILE).sample'
-	@if [ ! -f '$(ETCDIR)/$(PWDFILE)' ]; then \
-		install -m 640 '$(ETCDIR)/$(PWDFILE).sample' '$(ETCDIR)/$(PWDFILE)'; \
+	@echo -n 'Installing configuration files into $(DESTDIR)$(ETCDIR)... '
+	@install -d -m 755 '$(DESTDIR)$(ETCDIR)' 2>/dev/null
+	@install -m 440 'etc/$(ETCFILE).patched' '$(DESTDIR)$(ETCDIR)/$(ETCFILE).sample'
+	@if [ ! -f '$(DESTDIR)$(ETCDIR)/$(ETCFILE)' ]; then \
+		install -m 640 '$(DESTDIR)$(ETCDIR)/$(ETCFILE).sample' '$(DESTDIR)$(ETCDIR)/$(ETCFILE)'; \
+	fi
+	@install -m 440 -b 'etc/$(PWDFILE)' '$(DESTDIR)$(ETCDIR)/$(PWDFILE).sample'
+	@if [ ! -f '$(DESTDIR)$(ETCDIR)/$(PWDFILE)' ]; then \
+		install -m 640 '$(DESTDIR)$(ETCDIR)/$(PWDFILE).sample' '$(DESTDIR)$(ETCDIR)/$(PWDFILE)'; \
 	fi
 	@for i in $(TMPLFILES) ; do \
-		install -m 440 "etc/$$i" '$(ETCDIR)' ; \
+		install -m 440 "etc/$$i" '$(DESTDIR)$(ETCDIR)' ; \
 	done
 	@echo 'ok.'
 
 installlib:	configure
-	@echo -n 'Installing library files into $(LIBDIR)... '
-	@install -d -m 755 '$(LIBDIR)' 2>/dev/null
-	@install -m 440 'lib/$(RUNFILE).patched' '$(LIBDIR)/$(RUNFILE)'
+	@echo -n 'Installing library files into $(DESTDIR)$(LIBDIR)... '
+	@install -d -m 755 '$(DESTDIR)$(LIBDIR)' 2>/dev/null
+	@install -m 440 'lib/$(RUNFILE).patched' '$(DESTDIR)$(LIBDIR)/$(RUNFILE)'
 	@echo 'ok.'
 
 # Uninstall targets
 deinstall: uninstall
 uninstall:	uninstallsbin uninstallman uninstalletc uninstalllib
 uninstallsbin:
-	@echo -n 'Uninstalling scripts from $(SBINDIR)... '
-	@for i in $(SBINFILES) ; do \
-		rm -f "$(SBINDIR)/$$i" ; \
-	done
-	@rmdir '$(SBINDIR)' 2>/dev/null || true
+	@echo -n 'Uninstalling scripts from $(DESTDIR)$(SBINDIR)... '
+	@for i in $(SBINFILES) ; do \
+		rm -f "$(DESTDIR)$(SBINDIR)/$$i" ; \
+	done
+	@rmdir '$(DESTDIR)$(SBINDIR)' 2>/dev/null || true
 	@echo 'ok.'
 
 uninstallman:
-	@echo -n 'Uninstalling man files from $(MANDIR)... '
+	@echo -n 'Uninstalling man files from $(DESTDIR)$(MANDIR)... '
 	@for i in $(MAN1FILES) ; do \
-		rm -f "$(MANDIR)/man1/`basename $$i`.gz" ; \
-	done
-	@rmdir '$(MANDIR)/man1' 2>/dev/null || true
+		rm -f "$(DESTDIR)$(MANDIR)/man1/`basename $$i`.gz" ; \
+	done
+	@rmdir '$(DESTDIR)$(MANDIR)/man1' 2>/dev/null || true
 	@for i in $(MAN5FILES) ; do \
-		rm -f "$(MANDIR)/man5/`basename $$i`.gz" ; \
-	done
-	@rmdir '$(MANDIR)/man5' 2>/dev/null || true
+		rm -f "$(DESTDIR)$(MANDIR)/man5/`basename $$i`.gz" ; \
+	done
+	@rmdir '$(DESTDIR)$(MANDIR)/man5' 2>/dev/null || true
 	@rmdir '$(MANDIR)' 2>/dev/null || true
 	@echo 'ok.'
 
 uninstalletc:
-	@echo -n 'Uninstalling configuration files from $(ETCDIR)... '
-	@if cmp -s '$(ETCDIR)/$(ETCFILE)' '$(ETCDIR)/$(ETCFILE).sample'; then \
-		rm -f '$(ETCDIR)/$(ETCFILE)'; \
-	fi
-	@rm -f '$(ETCDIR)/$(ETCFILE).sample'
-	@if cmp -s '$(ETCDIR)/$(PWDFILE)' '$(ETCDIR)/$(PWDFILE).sample'; then \
-		rm -f '$(ETCDIR)/$(PWDFILE)'; \
-	fi
-	@rm -f '$(ETCDIR)/$(PWDFILE).sample'
+	@echo -n 'Uninstalling configuration files from $(DESTDIR)$(ETCDIR)... '
+	@if cmp -s '$(DESTDIR)$(ETCDIR)/$(ETCFILE)' '$(DESTDIR)$(ETCDIR)/$(ETCFILE).sample'; then \
+		rm -f '$(DESTDIR)$(ETCDIR)/$(ETCFILE)'; \
+	fi
+	@rm -f '$(DESTDIR)$(ETCDIR)/$(ETCFILE).sample'
+	@if cmp -s '$(DESTDIR)$(ETCDIR)/$(PWDFILE)' '$(DESTDIR)$(ETCDIR)/$(PWDFILE).sample'; then \
+		rm -f '$(DESTDIR)$(ETCDIR)/$(PWDFILE)'; \
+	fi
+	@rm -f '$(DESTDIR)$(ETCDIR)/$(PWDFILE).sample'
 	@for i in $(TMPLFILES) ; do \
-		rm -f "$(ETCDIR)/$$i" ; \
-	done
-	@rmdir '$(ETCDIR)' 2>/dev/null || true
+		rm -f "$(DESTDIR)$(ETCDIR)/$$i" ; \
+	done
+	@rmdir '$(DESTDIR)$(ETCDIR)' 2>/dev/null || true
 	@echo 'ok.'
 
 uninstalllib:
-	@echo -n 'Uninstalling library files from $(LIBDIR)... '
-	@rm -f '$(LIBDIR)/$(RUNFILE)'
-	@rmdir '$(LIBDIR)' 2>/dev/null || true
+	@echo -n 'Uninstalling library files from $(DESTDIR)$(LIBDIR)... '
+	@rm -f '$(DESTDIR)$(LIBDIR)/$(RUNFILE)'
+	@rmdir '$(DESTDIR)$(LIBDIR)' 2>/dev/null || true
 	@echo 'ok.'
 
 # Clean targets

=== debian/changelog ===
ldapscripts (1.9.0-3ubuntu1) natty; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf, many thanks Ahmed El-Mahmoudy.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Mon, 03 Jan 2011 16:29:57 +0100

ldapscripts (1.9.0-3) unstable; urgency=low

  * Use pwgen as password generator by default. Closes: #592369.
  * runtime.debian: Fix nss-ldap.conf parsing. Closes: #601942.
  * debian/control: Suggests libnss-ldap, not libpam-ldap.
  * Bump standard's version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 23 Dec 2010 15:35:18 +0300

ldapscripts (1.9.0-2) unstable; urgency=low

  * Switching to new dpkg v3 (quilt) format.
  * Fix problem with "not built-it" warnings in some locales. Closes: #555561.
  * debian/patches: Added DEP-3 annotations.
  * Bump standard's version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 11 May 2010 15:55:03 +0400

ldapscripts (1.9.0-1) unstable; urgency=low

  * Imported Upstream version 1.9.0
  * watch file added.
  * Bump standard's version, no changes needed.
  * Removed: 01_makefile_destdir.patch, 04_logname_replace.patch,
    06_nouuencode_pwgen.patch and most of
    debian/patches/03_fix_manpages.patch. Were fixed upstream.

 -- Alexander GQ Gerasiov <gq@debian.org>  Fri, 23 Oct 2009 14:16:44 +0400

ldapscripts (1.8.0-3) unstable; urgency=low

  * Fix permissions for ldapscripts.passwd. Also add lintian-overrides
    for it.
  * Update my e-mail address.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 06 Jul 2009 00:54:10 +0400

ldapscripts (1.8.0-2) unstable; urgency=low

  * runtime.debian: fix warnings appears if libpam-ldap not installed.
  * runtime.debian: replace usage of libpam-ldap with libnss-ldap, because
    ldapscripts recommends the second one.
  * runtime.debian: replace egrep|sed|cut with simple awk.
  * runtime.debian: fix error if host but not uri is specified in
    libnss-ldap.conf.
  * Add README.Debian with some info.
  * Add VCS info in debian/control.
  * Remove debian/ldapscripts.conf as it's not used anymore.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Sun, 05 Jul 2009 14:51:40 +0400

ldapscripts (1.8.0-1) unstable; urgency=low

  * New upstream release. (Closes: #471500, #494101, #502678, #504698, #457251.)
  * Change Maintainer field (closes: #495221).
  * Add 01_makefile_destdir.patch, to allow make install into DESTDIR.
  * Add 02_debian_config.patch to use patched upstream config, but not one from
    debian/ dir as it was in the previous versions. Original config patched to
    allow user not to configure ldapscripts themself, but use configuration from
    libnss-ldap and libldap. debian/runtime.debian is also updated.
    (Closes: #502673, #375794.)
  * Add 03_fix_manpages.patch to fix various warnings lintian points to.
  * Description updated from Ubuntu patches.
  * Fix debian/control: no more require slapd, libpam-ldap; libnss-ldap and
    shareutils are now proposed and recommended, policy updated to 3.8.2,
    Homepage field added.
  * Add 04_logname_replace.patch: use "id -nu" instead of "logname", because
    logname wouldn't work if program has no control terminal.
  * Add 05_mktemp.patch: use mktemp instead of hacks with /dev/urandom.
  * Add 06_nouuencode_pwgen: pwgen command without uuencode, to remove
    dependence from shareutils.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Wed, 24 Jun 2009 18:00:23 +0400

ldapscripts (1.7.1-2) unstable; urgency=low

  * New upstream release:
     + Has the fix for CVE-2007-5373 (Closes: #445582).
     + User can now modify ldiff skeleton (Closes: #405755).
  * Make upstream support DESTDIR in its makefile.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 21 Oct 2007 12:27:03 +0200

ldapscripts (1.4-2etch1) stable-security; urgency=low

  [ Steffen Joeris ]
  * Incorporate changes from upstream security version 1.7.1 and patch
    etc/runtime (Closes: #445582) for CVE-2007-5373.

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 21 Oct 2007 12:03:31 +0200

ldapscripts (1.4-2) unstable; urgency=low

  * Fix debian magic computation of GIDSTART/UIDSTART.
    thanks to Philippe Bourdeu d'Aguerre.
  * Bump standards version to 3.7.2 (no changes required).

 -- Pierre Habouzit <madcoder@debian.org>  Wed, 17 May 2006 11:05:17 +0200

ldapscripts (1.4-1) unstable; urgency=low

  * New upstream release.
  * Add missing dependency upon sharutils (closes: #340785).
  * Updated FSF address.

 -- Pierre Habouzit <madcoder@debian.org>  Sun,  8 Jan 2006 19:13:45 +0100

ldapscripts (1.3-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Habouzit <madcoder@debian.org>  Tue, 25 Oct 2005 00:33:31 +0200

ldapscripts (1.2-2) unstable; urgency=low

  * Typo in default config (forgot a ldapscripts/).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 21 Aug 2005 16:53:31 +0200

ldapscripts (1.2-1) unstable; urgency=low

  * Initial Release (closes: #324296).

 -- Pierre Habouzit <madcoder@debian.org>  Sun, 21 Aug 2005 16:23:01 +0200

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

# documentation
DEB_INSTALL_DOCS_ALL := README VERSION TODO

# changelogs
DEB_INSTALL_CHANGELOGS_ALL := CHANGELOG

DEB_INSTALL_EXAMPLES_ldapscripts := etc/*.sample

DEB_FIXPERMS_EXCLUDE := etc/ldapscripts/ldapscripts.passwd

install/ldapscripts::
	$(MAKE) install DESTDIR=debian/ldapscripts PREFIX=/usr ETCDIR=/etc/ldapscripts LIBDIR=/usr/share/ldapscripts MANDIR=/usr/share/man
	cp debian/runtime.debian debian/ldapscripts/usr/share/ldapscripts
	rm debian/ldapscripts/etc/ldapscripts/*.sample

clean::
	$(MAKE) distclean

## ldapscripts 1.10.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  Makefile for the lapscripts
 
-#  Copyright (C) 2007 Ganal LAPLANCHE
+#  Copyright (C) 2007-2011 Ganal LAPLANCHE
 #
 #  This program is free software; you can redistribute it and/or
 #  modify it under the terms of the GNU General Public License
@@ -25,7 +25,7 @@
 SHELL=/bin/sh
 NAME = ldapscripts
 #SUFFIX = -devel
-VERSION = 1.9.0
+VERSION = 1.10.0
 
 # Default installation paths
 SBINDIR = $(PREFIX)/sbin
@@ -195,6 +195,7 @@
 # Source tarball target
 package:	clean
 	@echo -n 'Creating source tarball /tmp/$(NAME)-$(VERSION)$(SUFFIX).tgz... '
+	@echo '$(VERSION)$(SUFFIX)' > VERSION
 	@(cd .. && tar czf /tmp/$(NAME)-$(VERSION)$(SUFFIX).tgz $(NAME)-$(VERSION))
 	@echo 'ok.'

=== debian/changelog ===
ldapscripts (1.10.0-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #777924).  Remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf, many thanks Ahmed El-Mahmoudy.

 -- Paolo Sammicheli <xdatap1@ubuntu.com>  Tue, 22 Mar 2011 23:37:44 +0000

ldapscripts (1.10.0-1) unstable; urgency=low

  * debian/control: Standards-version updated, no changes needed.
  * Imported Upstream version 1.10.0
  * debian/patches: Patches refreshed.
  * Added 07_fix_free_uid_search.patch. Thanks to Slavko
    <linux@slavino.sk> (Closes: #609148)
  * debian/control: DEB_FIXPERMS_EXCLUDE replaced with
    DEB_FIXPERMS_EXCLUDE_ALL.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 21 Mar 2011 17:45:15 +0300

=== debian/control ===
Source: ldapscripts
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Homepage: http://ldapscripts.sourceforge.net/
Standards-Version: 3.9.1
Build-Depends: cdbs, debhelper (>= 7.0.0)
Vcs-Git: git://git.gq.net.ru/ldapscripts.git
Vcs-Browser: http://git.gq.net.ru/?p=ldapscripts.git

Package: ldapscripts
Architecture: all
Depends: ${misc:Depends}, ldap-utils
Recommends: sharutils, pwgen
Suggests: libnss-ldap
Description: Add and remove user and groups (stored in a LDAP directory)
 Ldapscripts are shell scripts that allow management of POSIX accounts (users,
 groups, machines) in a LDAP directory.   They are similar to smbldap-tools
 but are written in shellscript, not PERL.
 .
 They only require OpenLDAP client commands (ldapadd, ldapdelete, ldapsearch,
 ldapmodify, ldappasswd) and make administrator's work a lot easier avoiding
 the need to configure PERL and each library dependency (e.g. Net::LDAP).
 .
 These scripts are very simple to configure by not requiring any Samba-related
 information (SID, profiles, homes, ...) : management of Samba attributes is
 entirely done by standard commands (net, smbpasswd et pdbedit) used together
 with the scripts.   Moreover, most of the configuration is guessed from the
 one of libpam-ldap, and everything should work out from the box for most
 users.
 .
 The scripts may be used independently - within command lines - or
 automatically by Samba (like smbldap-tools), to handle POSIX information
 within accounts before adding Samba information.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 DEB_INSTALL_EXAMPLES_ldapscripts := etc/*.sample
 
-DEB_FIXPERMS_EXCLUDE := etc/ldapscripts/ldapscripts.passwd
+DEB_FIXPERMS_EXCLUDE_ALL := etc/ldapscripts/ldapscripts.passwd
 
 install/ldapscripts::
 	$(MAKE) install DESTDIR=debian/ldapscripts PREFIX=/usr ETCDIR=/etc/ldapscripts LIBDIR=/usr/share/ldapscripts MANDIR=/usr/share/man

=== debian/watch ===
version=3

http://sf.net/ldapscripts/ldapscripts-([0-9.]*)\.tgz

## ldapscripts 2.0.1

=== Makefile ===
--- 
+++ 
@@ -22,10 +22,10 @@
 PREFIX = /usr/local
 
 # Identity
-SHELL=/bin/sh
+SHELL= /bin/sh
 NAME = ldapscripts
 #SUFFIX = -devel
-VERSION = 1.10.0
+VERSION = 2.0.1
 
 # Default installation paths
 SBINDIR = $(PREFIX)/sbin

=== debian/changelog ===
ldapscripts (2.0.1-2ubuntu1) raring; urgency=low

  * Merge from Debian Unstable.   Remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf, many thanks Ahmed El-Mahmoudy.

 -- Vibhav Pant <vibhav@ubuntu.com>  Wed, 19 Dec 2012 21:07:08 +0530

ldapscripts (2.0.1-2) unstable; urgency=low

  * Depend on nslcd instead of libnss-ldap, and us it's config.
      (Closes: #610971, #681266.)
  * debian/runtime.debian: Specify default value for GCLASS. (Closes: #671613)
  * debian/control: Fix 'Perl' writing. (Closes: #656172.)
  * debian/control: Standards-version updated, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 27 Aug 2012 04:38:33 +0400

ldapscripts (2.0.1-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #922834).   Remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf, many thanks Ahmed El-Mahmoudy.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 27 Jan 2012 22:27:22 +0100

ldapscripts (2.0.1-1) unstable; urgency=low

  * Imported Upstream version 2.0.1
  * Updated debian/patches/05_mktemp.patch.
  * Removed debian/patches/07_fix_free_uid_search.patch (fixed upstream).
  * debian/control: Replace PERL wirh Perl (Closes: #620473).
  * debian/control: Standards-version updated, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 16 Jan 2012 02:21:44 +0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Homepage: http://ldapscripts.sourceforge.net/
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Build-Depends: cdbs, debhelper (>= 7.0.0)
 Vcs-Git: git://git.gq.net.ru/ldapscripts.git
 Vcs-Browser: http://git.gq.net.ru/?p=ldapscripts.git
@@ -13,15 +13,15 @@
 Architecture: all
 Depends: ${misc:Depends}, ldap-utils
 Recommends: sharutils, pwgen
-Suggests: libnss-ldap
+Suggests: nslcd
 Description: Add and remove user and groups (stored in a LDAP directory)
  Ldapscripts are shell scripts that allow management of POSIX accounts (users,
  groups, machines) in a LDAP directory.   They are similar to smbldap-tools
- but are written in shellscript, not PERL.
+ but are written in shellscript, not Perl.
  .
  They only require OpenLDAP client commands (ldapadd, ldapdelete, ldapsearch,
  ldapmodify, ldappasswd) and make administrator's work a lot easier avoiding
- the need to configure PERL and each library dependency (e.g. Net::LDAP).
+ the need to configure Perl and each library dependency (e.g. Net::LDAP).
  .
  These scripts are very simple to configure by not requiring any Samba-related
  information (SID, profiles, homes, ...) : management of Samba attributes is

## ldapscripts 2.0.5

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  Makefile for the lapscripts
 
-#  Copyright (C) 2007-2011 Ganal LAPLANCHE
+#  Copyright (C) 2007-2013 Ganal LAPLANCHE
 #
 #  This program is free software; you can redistribute it and/or
 #  modify it under the terms of the GNU General Public License
@@ -25,7 +25,7 @@
 SHELL= /bin/sh
 NAME = ldapscripts
 #SUFFIX = -devel
-VERSION = 2.0.1
+VERSION = 2.0.5
 
 # Default installation paths
 SBINDIR = $(PREFIX)/sbin
@@ -196,6 +196,6 @@
 package:	clean
 	@echo -n 'Creating source tarball /tmp/$(NAME)-$(VERSION)$(SUFFIX).tgz... '
 	@echo '$(VERSION)$(SUFFIX)' > VERSION
-	@(cd .. && tar czf /tmp/$(NAME)-$(VERSION)$(SUFFIX).tgz $(NAME)-$(VERSION))
-	@echo 'ok.'
-
+	@(cd .. && tar c --exclude '.git' -zf /tmp/$(NAME)-$(VERSION)$(SUFFIX).tgz $(NAME)-$(VERSION))
+	@echo 'ok.'
+

=== debian/changelog ===
ldapscripts (2.0.5-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf, many thanks Ahmed El-Mahmoudy.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 24 Nov 2013 20:48:27 +0530

ldapscripts (2.0.5-1) unstable; urgency=low

  * Imported Upstream version 2.0.5
  * Removed 06_builtin_locale.patch: fixed upstream.
  * debian/control: Update description. (Closes: #686140)
  * 02_debian_config.patch refreshed.
  * New patch 06_fix_logname.patch fixes logname invocation issues.
    (Closes: #719295)
  * debian/runtime.debian: Fix awk invocation. Should fix (LP: #1225440).
  * New patch 07_fix_log_perm.patch fixes permissions of log file.
  * New patch 08_fix_log_entry.patch fixes log entry when runtime is sourced
    from file with whitespaces.
  * debian/control: Bump Standard's version: no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 01 Oct 2013 22:21:54 +0400

=== debian/control ===
Source: ldapscripts
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Homepage: http://ldapscripts.sourceforge.net/
Standards-Version: 3.9.4
Build-Depends: cdbs, debhelper (>= 7.0.0)
Vcs-Git: git://git.gq.net.ru/ldapscripts.git
Vcs-Browser: http://git.gq.net.ru/?p=ldapscripts.git

Package: ldapscripts
Architecture: all
Depends: ${misc:Depends}, ldap-utils
Recommends: sharutils, pwgen
Suggests: nslcd
Description: Add and remove users and groups (stored in a LDAP directory)
 Ldapscripts are shell scripts that allow management of POSIX accounts (users,
 groups, machines) in a LDAP directory. They are similar to smbldap-tools
 but are written in shellscript, not Perl.
 .
 They only require OpenLDAP client commands (ldapadd, ldapdelete, ldapsearch,
 ldapmodify, ldappasswd) and make administrator's work a lot easier avoiding
 the need to configure Perl and each library dependency (e.g. Net::LDAP).
 .
 These scripts are very simple to configure by not requiring any Samba-related
 information (SID, profiles, homes, etc): management of Samba attributes is
 entirely done by standard commands (net, smbpasswd and pdbedit) used together
 with the scripts. Moreover, most of the configuration is guessed from the
 one of nslcd, and everything should work out from the box for most users.
 .
 The scripts may be used independently - within command lines - or
 automatically by Samba (like smbldap-tools), to handle POSIX information
 within accounts before adding Samba information.

## ldapscripts 2.0.6

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  Makefile for the lapscripts
 
-#  Copyright (C) 2007-2013 Ganal LAPLANCHE
+#  Copyright (C) 2007-2015 Ganal LAPLANCHE
 #
 #  This program is free software; you can redistribute it and/or
 #  modify it under the terms of the GNU General Public License
@@ -25,7 +25,7 @@
 SHELL= /bin/sh
 NAME = ldapscripts
 #SUFFIX = -devel
-VERSION = 2.0.5
+VERSION = 2.0.6
 
 # Default installation paths
 SBINDIR = $(PREFIX)/sbin

=== debian/changelog ===
ldapscripts (2.0.6-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 03 Jan 2016 22:08:53 +0530

ldapscripts (2.0.6-1) unstable; urgency=medium

  * Imported Upstream version 2.0.6 (Closes: #795927)
  * Update debian/patches.
  * Remove CDBS dependency and switch to DH 9+.
  * debian/copyright: Convert to machine-readable format.
  * Bump Standard's version, no changes needed.
  * Update Vcs-* headers.

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 31 Aug 2015 17:19:08 +0300

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Homepage: http://ldapscripts.sourceforge.net/
-Standards-Version: 3.9.4
-Build-Depends: cdbs, debhelper (>= 7.0.0)
-Vcs-Git: git://git.gq.net.ru/ldapscripts.git
-Vcs-Browser: http://git.gq.net.ru/?p=ldapscripts.git
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9)
+Vcs-Git: https://github.com/gerasiov/ldapscripts.git
+Vcs-Browser: https://github.com/gerasiov/ldapscripts
 
 Package: ldapscripts
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install DESTDIR=debian/ldapscripts PREFIX=/usr ETCDIR=/etc/ldapscripts LIBDIR=/usr/share/ldapscripts MANDIR=/usr/share/man
	cp debian/runtime.debian debian/ldapscripts/usr/share/ldapscripts
	rm debian/ldapscripts/etc/ldapscripts/*.sample

override_dh_installdocs:
	dh_installdocs README TODO

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

override_dh_installexamples:
	dh_installexamples etc/*.sample

override_dh_fixperm:
	dh_fixperm --exclude etc/ldapscripts/ldapscripts.passwd

## ldapscripts 2.0.7

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  Makefile for the lapscripts
 
-#  Copyright (C) 2007-2015 Ganal LAPLANCHE
+#  Copyright (C) 2007-2016 Ganal LAPLANCHE
 #
 #  This program is free software; you can redistribute it and/or
 #  modify it under the terms of the GNU General Public License
@@ -25,7 +25,7 @@
 SHELL= /bin/sh
 NAME = ldapscripts
 #SUFFIX = -devel
-VERSION = 2.0.6
+VERSION = 2.0.7
 
 # Default installation paths
 SBINDIR = $(PREFIX)/sbin

=== debian/changelog ===
ldapscripts (2.0.7-2ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/runtime.debian: replaced /etc/libnss-ldap.conf references by
      /etc/ldap.conf.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sun, 01 Jan 2017 12:24:40 +0530

ldapscripts (2.0.7-2) unstable; urgency=medium

  * debian/rules: Fix typo. Thanks Chris Lamb <lamby@debian.org>. (Closes: #834578.)

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 07 Nov 2016 03:07:25 +0300

ldapscripts (2.0.7-1) unstable; urgency=medium

  [ James Valleroy ]
  * Use SASLAUTH from /etc/nslcd.conf (sasl_mech). (Closes: #825240)

  [ Alexander GQ Gerasiov ]
  * Imported Upstream version 2.0.7
  * debian/copyright: Bump year in copyright records.
  * debian/control: Bump standard's version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 20 Jul 2016 00:44:06 +0300

## ldapscripts 2.0.8

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #  Makefile for the lapscripts
 
-#  Copyright (C) 2007-2016 Ganal LAPLANCHE
+#  Copyright (C) 2007-2017 Ganal LAPLANCHE
 #
 #  This program is free software; you can redistribute it and/or
 #  modify it under the terms of the GNU General Public License
@@ -25,7 +25,7 @@
 SHELL= /bin/sh
 NAME = ldapscripts
 #SUFFIX = -devel
-VERSION = 2.0.7
+VERSION = 2.0.8
 
 # Default installation paths
 SBINDIR = $(PREFIX)/sbin
@@ -83,10 +83,10 @@
 # Configure target
 configure:
 	@echo -n 'Configuring scripts... '
-	@sed 's|^BINDPWDFILE=.*|BINDPWDFILE=\"$(ETCDIR)/$(PWDFILE)\"|g' 'etc/$(ETCFILE)' > 'etc/$(ETCFILE).patched'
-	@sed 's|^_CONFIGFILE=.*|_CONFIGFILE=\"$(ETCDIR)/$(ETCFILE)\"|g' 'lib/$(RUNFILE)' > 'lib/$(RUNFILE).patched'
-	@for i in $(SBINFILES) ; do \
-		sed 's|^_RUNTIMEFILE=.*|_RUNTIMEFILE=\"$(LIBDIR)/$(RUNFILE)\"|g' "sbin/$$i" > "sbin/$$i.patched" ; \
+	@sed 's|^BINDPWDFILE=.*|BINDPWDFILE="$(ETCDIR)/$(PWDFILE)"|g' 'etc/$(ETCFILE)' > 'etc/$(ETCFILE).patched'
+	@sed '/^_CONFIGFILE=/s|^\(.*"\).*\(".*\)|\1$(ETCDIR)/$(ETCFILE)\2|g' 'lib/$(RUNFILE)' > 'lib/$(RUNFILE).patched'
+	@for i in $(SBINFILES) ; do \
+		sed 's|^_RUNTIMEFILE=.*|_RUNTIMEFILE="$(LIBDIR)/$(RUNFILE)"|g' "sbin/$$i" > "sbin/$$i.patched" ; \
 	done
 	@echo 'ok.'

=== debian/changelog ===
ldapscripts (2.0.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Use secure URI in debian/watch.
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Archive, Contact, Name.
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Wrap long lines in changelog entries: 2.0.7-2.
  * Set upstream metadata fields: Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Alexander Gerasiov ]
  * d/control: Bump Standards-Version, no changes needed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Wed, 06 Jan 2021 20:07:50 +0300

ldapscripts (2.0.8-1) unstable; urgency=medium

  * New upstream version 2.0.8
  * debian/patches refreshed.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 27 Jul 2017 18:12:35 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ldapscripts
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alexander GQ Gerasiov <gq@debian.org>
+Maintainer: Alexander GQ Gerasiov <gq@debian.org>
 Homepage: http://ldapscripts.sourceforge.net/
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9)
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 12)
 Vcs-Git: https://github.com/gerasiov/ldapscripts.git
 Vcs-Browser: https://github.com/gerasiov/ldapscripts

=== debian/rules ===
--- 
+++ 
@@ -17,5 +17,5 @@
 override_dh_installexamples:
 	dh_installexamples etc/*.sample
 
-override_dh_fixperm:
-	dh_fixperm --exclude etc/ldapscripts/ldapscripts.passwd
+override_dh_fixperms:
+	dh_fixperms --exclude etc/ldapscripts/ldapscripts.passwd

=== debian/watch ===
version=3

https://sf.net/ldapscripts/ldapscripts-([0-9.]*)\.tgz
